# Veilleuse

Petit projet de veilleuse pour ma fille. Mais je pense qu'il va y avoir des demandes ;p

### Projet 

Le projet se base sur la [Glowing Moon](https://www.thingiverse.com/thing:2531838) auquel j'ai greffé un arduino nano, des led RGB, une photoresistance. 


### BOM 

* Les parties à imprimer en 3D
* Un arduino nano (ou autre chose)
* Des leds RGB `ws2812b` ou autre chose supporté par `Adafuit_Neopixel`. Dans mon cas, une barrette de 8 diodes
* Une resistance de 10kΩ 
* Un photoresistance 

### Impression 

La lune a été réalisée en PLA Eryone Blanc (sans support, 210°C / 50° / 0.16mm / 20% Gyroid). Le remplissage peut être mis à 100%. C'est en gros, une lithophanie. Pour cette dimension, comptez 26h d'impression

Les pieces de la bases ont été realisées avec du Geeetech Noir Silk, en 0.24mm

![image](assets/IMG_20201016_001532.jpg) ![image](assets/IMG_20201017_101245.jpg)

Je vous ai mis une petite vidéo du résultat final [ici](assets/VID_20201025_135730.mp4)

### Platine de test 

![image](assets/fritzing.png)


### Configuration du code

Les principales valeurs à adapter sont les suivantes : 

```c
// Config Leds
#define PIN          2
#define NUMPIXELS    8

// Config Photoresistance
#define LIGHT_SENSOR A0

// Config couleur
#define R 255
#define G 128
#define B 56

// Config seuil
#define ON_LEVEL 200
#define OFF_LEVEL 500

```

